Package com.io7m.waxmill.xml.vm.v1

# Class WXM1Comment.Builder

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1Comment.Builder

Enclosing class:
  WXM1Comment

    public static final class WXM1Comment.Builder
    extends java.lang.Object

Builds instances of type `WXM1Comment`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1Comment` | `build()` | Builds a new `WXM1Comment`.
  `WXM1Comment.Builder` | `from​(WXM1CommentType instance)` | Fill a builder with attribute values from the provided `WXM1CommentType` instance.
  `WXM1Comment.Builder` | `setText​(java.lang.String text)` | Initializes the value for the `text` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1Comment.Builder from​(WXM1CommentType instance)
    Fill a builder with attribute values from the provided `WXM1CommentType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setText

    public final WXM1Comment.Builder setText​(java.lang.String text)
    Initializes the value for the `text` attribute.
    Parameters:
      `text` - The value for text
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1Comment build()
    Builds a new `WXM1Comment`.
    Returns:
      An immutable instance of WXM1Comment
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing